nova (2:18.3.0-4~u16.04+mcp253) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * c685545db0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 211b5d1ca5 Merge "post live migration: don't call Neutron
    needlessly" into stable/rocky

  [ MCP Jenkins ]
  * fd7eb461ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * f10d5bdbfa Merge "libvirt: Do not reference VIR_ERR_DEVICE_MISSING
    when libvirt is < v4.1.0" into stable/rocky

  [ MCP Jenkins ]
  * 54a5506622 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 5645f75d6b Merge "libvirt: Handle VIR_ERR_DEVICE_MISSING when
    detaching devices" into stable/rocky

  [ MCP Jenkins ]
  * dae5da91cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 8f86507c4b Merge "compute: Don't delete the original attachment
    during pre LM rollback" into stable/rocky
  * 7486ef688a Merge "Add regression tests for bug #1889108" into
    stable/rocky
  * ee6f523a4e Merge "compute: refactor volume bdm rollback error
    handling" into stable/rocky

  [ MCP Jenkins ]
  * 11e8d8e2c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 4fb32d4c6d Merge "compute: Use source_bdms to reset attachment_ids
    during LM rollback" into stable/rocky
  * 8ea68b26b2 Merge "Robustify attachment tracking in
    CinderFixtureNewAttachFlow" into stable/rocky
  * 06827a36ae Merge "Improve CinderFixtureNewAttachFlow" into
    stable/rocky

  [ MCP Jenkins ]
  * ef280119ab Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * ac944cca5f Merge "Removed the host FQDN from the exception message"
    into stable/rocky

  [ Lee Yarwood ]
  * 9c885b67a9 libvirt: Do not reference VIR_ERR_DEVICE_MISSING when
    libvirt is < v4.1.0
  * 74b053f47a libvirt: Handle VIR_ERR_DEVICE_MISSING when detaching
    devices
  * b18e93a2a4 compute: Don't delete the original attachment during pre
    LM rollback
  * 7b2662c85c Add regression tests for bug #1889108
  * a6188ecd79 compute: refactor volume bdm rollback error handling
  * b8a1f08bc8 compute: Use source_bdms to reset attachment_ids during
    LM rollback

  [ Matt Riedemann ]
  * c1b372fc92 Robustify attachment tracking in
    CinderFixtureNewAttachFlow
  * b84eb40a66 Improve CinderFixtureNewAttachFlow

  [ Artom Lifshitz ]
  * a1d3ae3876 post live migration: don't call Neutron needlessly

  [ MCP Jenkins ]
  * e894abeb78 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d1fd02b30 Merge "libvirt: Provide VIR_MIGRATE_PARAM_PERSIST_XML
    during live migration" into stable/rocky

  [ Praharshitha Metla ]
  * 8c4af53d77 Removed the host FQDN from the exception message

  [ MCP Jenkins ]
  * 20b4ab3ebc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 837baac9fd Merge "compute: Allow snapshots to be created from PAUSED
    volume backed instances" into stable/rocky

  [ Lee Yarwood ]
  * c438fd9a0e libvirt: Provide VIR_MIGRATE_PARAM_PERSIST_XML during
    live migration

  [ MCP Jenkins ]
  * 0b138bf1a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 69f740644b Merge "FUP for in-place numa rebuild" into stable/rocky
  * b2a7b4e81d Merge "Disable NUMATopologyFilter on rebuild" into
    stable/rocky
  * a6e1bcce5f Merge "Block rebuild when NUMA topology changed" into
    stable/rocky
  * 43f698a6b4 Merge "Remove 'test_cold_migrate_with_physnet_fails'
    test" into stable/rocky

  [ MCP Jenkins ]
  * 08afd373fb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Takashi NATSUME ]
  * aa7a6939d5 objects: Update keypairs when saving an instance

  [ Lee Yarwood ]
  * 35c1846d5c compute: Allow snapshots to be created from PAUSED volume
    backed instances

  [ MCP Jenkins ]
  * b2426e152b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 4f3a322caf Disable cherry-pick tests for commit message

  [ Luigi Toscano ]
  * e3093d42f4 zuul: remove legacy-tempest-dsvm-neutron-dvr-multinode-
    full

  [ MCP Jenkins ]
  * 18db79d35f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Kevin Zhao ]
  * 3b2c6ccf26 fix scsi disk unit number of the attaching volume when
    cdrom bus is scsi

  [ MCP Jenkins ]
  * 80db1755c5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 87c9ef7a38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Dan Smith ]
  * f1ab10b825 Check cherry-pick hashes in pep8 tox target

  [ Zuul ]
  * 5acdb6dcfd Merge "Reject boot request for unsupported images" into
    stable/rocky

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Sean Mooney ]
  * 84c6381660 FUP for in-place numa rebuild
  * f08d0ccf84 Disable NUMATopologyFilter on rebuild
  * 643405b3a7 Block rebuild when NUMA topology changed

  [ Stephen Finucane ]
  * 4ac7575717 Remove 'test_cold_migrate_with_physnet_fails' test

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Brian Rosmaita ]
  * 02551d6d6a Reject boot request for unsupported images

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 15 Oct 2020 01:00:25 +0000

nova (2:18.3.0-4~u16.04+mcp210) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * b2426e152b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 4f3a322caf Disable cherry-pick tests for commit message

  [ Luigi Toscano ]
  * e3093d42f4 zuul: remove legacy-tempest-dsvm-neutron-dvr-multinode-
    full

  [ MCP Jenkins ]
  * 18db79d35f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Kevin Zhao ]
  * 3b2c6ccf26 fix scsi disk unit number of the attaching volume when
    cdrom bus is scsi

  [ MCP Jenkins ]
  * 80db1755c5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 87c9ef7a38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Dan Smith ]
  * f1ab10b825 Check cherry-pick hashes in pep8 tox target

  [ Zuul ]
  * 5acdb6dcfd Merge "Reject boot request for unsupported images" into
    stable/rocky

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Brian Rosmaita ]
  * 02551d6d6a Reject boot request for unsupported images

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 24 Jul 2020 01:00:20 +0000

nova (2:18.3.0-4~u16.04+mcp208) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * 4f3a322caf Disable cherry-pick tests for commit message

  [ MCP Jenkins ]
  * 18db79d35f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Kevin Zhao ]
  * 3b2c6ccf26 fix scsi disk unit number of the attaching volume when
    cdrom bus is scsi

  [ MCP Jenkins ]
  * 80db1755c5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 87c9ef7a38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Dan Smith ]
  * f1ab10b825 Check cherry-pick hashes in pep8 tox target

  [ Zuul ]
  * 5acdb6dcfd Merge "Reject boot request for unsupported images" into
    stable/rocky

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Brian Rosmaita ]
  * 02551d6d6a Reject boot request for unsupported images

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 22 Jul 2020 14:17:10 +0000

nova (2:18.3.0-4~u16.04+mcp207) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 18db79d35f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Kevin Zhao ]
  * 3b2c6ccf26 fix scsi disk unit number of the attaching volume when
    cdrom bus is scsi

  [ MCP Jenkins ]
  * 80db1755c5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 87c9ef7a38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Dan Smith ]
  * f1ab10b825 Check cherry-pick hashes in pep8 tox target

  [ Zuul ]
  * 5acdb6dcfd Merge "Reject boot request for unsupported images" into
    stable/rocky

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Brian Rosmaita ]
  * 02551d6d6a Reject boot request for unsupported images

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 21 Jul 2020 01:00:19 +0000

nova (2:18.3.0-4~u16.04+mcp205) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 80db1755c5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 87c9ef7a38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Dan Smith ]
  * f1ab10b825 Check cherry-pick hashes in pep8 tox target

  [ Zuul ]
  * 5acdb6dcfd Merge "Reject boot request for unsupported images" into
    stable/rocky

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Brian Rosmaita ]
  * 02551d6d6a Reject boot request for unsupported images

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sun, 19 Jul 2020 01:00:24 +0000

nova (2:18.3.0-4~u16.04+mcp200) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 1f32558d43 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Matthew Booth ]
  * ae7602c120 libvirt: Don't delete disks on shared storage during
    evacuate
  * 6118101cba Add functional test for bug 1550919

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 15 Jul 2020 01:00:21 +0000

nova (2:18.3.0-4~u16.04+mcp197) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 4439668942 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Lee Yarwood ]
  * 7207b9ee6c Fix os_CODENAME detection and repo refresh during ceph
    tests

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 10 Jul 2020 01:00:25 +0000

nova (2:18.3.0-4~u16.04+mcp195) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * 5eb93aa911 Merge "Add periodic task to cleanup reserved volumes"
    into mcp/xenial/rocky

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Vladyslav Drok ]
  * 76635eed04 Add periodic task to cleanup reserved volumes

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Mon, 22 Jun 2020 14:01:49 +0000

nova (2:18.3.0-4~u16.04+mcp193) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Vasyl Saienko ]
  * 8ccfc3453e Add osprofiler to requirements

  [ Pavlo Shchelokovskyy ]
  * 3e496b066b Merge "Ignore InstanceGroupNotFound when finishing
    resize" into mcp/xenial/rocky
  * 3bf884839c Merge "Add late check of instance group during resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e8a5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b702e Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223add3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f4e4 Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b38c Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc4a1 Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f048c Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b6f2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcced9 Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742178 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b58407f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb2ae Merge "Clean up allocation if unshelve fails due to
    neutron" into stable/rocky
  * 71409b990d Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c1512e Merge "Reset the cell cache for database access in
    Service" into stable/rocky
  * f1a555658c Merge "Make RBD imagebackend flatten method idempotent"
    into stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d064 Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822727 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c818 Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5847 Revert "nova shared storage: rbd is always shared
    storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc2cf Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3bfe Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee045 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad886e8 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55e67 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369589 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a453ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da75b Lowercase ironic driver hash ring and ignore case in
    cache
  * 6bed39cd6e Add config option for neutron client retries
  * a86ebc75eb Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e73297da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2eba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 85521691a8 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1e34 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0f58 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b94ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117dc61 Merge "nova-live-migration: Wait for n-cpu services to
    come up after configuring Ceph" into stable/rocky
  * 85fb423af1 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32ef49 nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 18931544d8 Replace ansible --sudo with --become in
    live_migration/hooks scripts

  [ MCP Jenkins ]
  * dafb70d431 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812c3b Merge "Fix os-keypairs pagination links" into
    stable/rocky

  [ Stephen Finucane ]
  * 658e613e5d Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8eb7 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e87c6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 18032072d4 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f52c Merge "Avoid circular reference during serialization"
    into stable/rocky

  [ MCP Jenkins ]
  * 024ff926f6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f7c9 Enhance service restart in functional env
  * 930bf0ae1b Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e0446564bc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd2392b2 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b52aa Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb42ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecda86 Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d773a4 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633328 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38fe0 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052fed Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad585d0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab64e3 Merge "Make RBD imagebackend flatten method idempotent"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc485 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e5738a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fdd8d Merge "Allow configuring retries when removing RBD
    volume" into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e8b2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99a8a Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551186 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee3ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875ad8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252cedbb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ecb19 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f6ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544390 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb46d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69c14 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c31023d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346352 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20991 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee01f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013daae0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf015f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c989ba Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf49406f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb254 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e81d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65ec0b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4a97 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe4e9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be5a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee1d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961e6f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8dab9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f7a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a21da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971c8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e7956c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a0056d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e420 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb579 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff0669251a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9ddde Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a3ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212096 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c8eb Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e954e5 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a78c Wrap shred use with ionice
  * f1e9447481 Fix disappearing of trace during migration reschedule
  * b56d4dbe35 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a13ab Merge "Validate aggregate IDs before querying database"
    into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4d53 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6dae Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7bfb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf247 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15c7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d6a0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1eafb7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa125341d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34d73 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a50d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4748 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164ba1e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536ff12 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac225 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780aa37 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92f8e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1d1b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be07b5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59770 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91300 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe4548f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a0504019ad Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40773 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710dbf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285b34 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b0687a Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da9d3 Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb7f7 Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9ca23 PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371323 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956937 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7dbd71 Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e2c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652665 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b897 Fix resource tracker updates during instance evacuation
  * f45c2bca81 libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffab92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff22a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115f7a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 493253337a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e95c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3f15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8c70 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e2841e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340265 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd3931ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4fc76 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443716 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27128 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83beca8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225ea64 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b2da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dcce5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8dfa5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca877 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d884437c0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9c38 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d643030e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1e9a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc60773c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1b60 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc480ed Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd7dd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6fec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2efe5 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36ad56 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb0551e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783033 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb6fa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9e09 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c7c4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41fa10 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23334 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f3a9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196ff7 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db80f Make configurable password hashing algorithm
  * 80968d5983 Add defusedxml for Libvirt and VMware
  * 28204f7887 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872870 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 17 Jun 2020 17:01:57 +0000

nova (2:18.3.0-4~u16.04+mcp192) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * 3e496b0 Merge "Ignore InstanceGroupNotFound when finishing resize"
    into mcp/xenial/rocky
  * 3bf8848 Merge "Add late check of instance group during resize" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * d35dc6e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b7 Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f Merge "Reproduce bug 1869050" into stable/rocky

  [ Vladyslav Drok ]
  * 50bb47b Ignore InstanceGroupNotFound when finishing resize
  * af8cdcc Add late check of instance group during resize

  [ Balazs Gibizer ]
  * abe04f0 Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcc Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b584 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb Merge "Clean up allocation if unshelve fails due to neutron"
    into stable/rocky
  * 71409b9 Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c15 Merge "Reset the cell cache for database access in Service"
    into stable/rocky
  * f1a5556 Merge "Make RBD imagebackend flatten method idempotent" into
    stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5 Revert "nova shared storage: rbd is always shared storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache
  * 6bed39c Add config option for neutron client retries
  * a86ebc7 Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 29 May 2020 10:36:07 +0000

nova (2:18.3.0-4~u16.04+mcp188) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * d35dc6e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 005c3b7 Merge "Update scheduler instance info at confirm resize"
    into stable/rocky

  [ MCP Jenkins ]
  * 204223a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f Merge "Reproduce bug 1869050" into stable/rocky

  [ Balazs Gibizer ]
  * abe04f0 Update scheduler instance info at confirm resize

  [ MCP Jenkins ]
  * 4f78e5b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcc Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b584 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb Merge "Clean up allocation if unshelve fails due to neutron"
    into stable/rocky
  * 71409b9 Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c15 Merge "Reset the cell cache for database access in Service"
    into stable/rocky
  * f1a5556 Merge "Make RBD imagebackend flatten method idempotent" into
    stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5 Revert "nova shared storage: rbd is always shared storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache
  * 6bed39c Add config option for neutron client retries
  * a86ebc7 Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 29 May 2020 01:00:12 +0000

nova (2:18.3.0-4~u16.04+mcp185) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 204223a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 2cc8d9f Merge "Reproduce bug 1869050" into stable/rocky

  [ MCP Jenkins ]
  * 4f78e5b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcc Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ Balazs Gibizer ]
  * 44c4742 Reproduce bug 1869050

  [ MCP Jenkins ]
  * 667b584 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb Merge "Clean up allocation if unshelve fails due to neutron"
    into stable/rocky
  * 71409b9 Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c15 Merge "Reset the cell cache for database access in Service"
    into stable/rocky
  * f1a5556 Merge "Make RBD imagebackend flatten method idempotent" into
    stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5 Revert "nova shared storage: rbd is always shared storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache
  * 6bed39c Add config option for neutron client retries
  * a86ebc7 Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 28 May 2020 01:00:49 +0000

nova (2:18.3.0-4~u16.04+mcp182) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 4f78e5b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * af3adcc Merge "Revert "nova shared storage: rbd is always shared
    storage"" into stable/rocky

  [ MCP Jenkins ]
  * 667b584 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 08207cb Merge "Clean up allocation if unshelve fails due to neutron"
    into stable/rocky
  * 71409b9 Merge "Reproduce bug 1862633" into stable/rocky
  * 3cb5c15 Merge "Reset the cell cache for database access in Service"
    into stable/rocky
  * f1a5556 Merge "Make RBD imagebackend flatten method idempotent" into
    stable/rocky

  [ Balazs Gibizer ]
  * aeeab5d Clean up allocation if unshelve fails due to neutron

  [ MCP Jenkins ]
  * faa0822 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c Merge "Add config option for neutron client retries" into
    stable/rocky

  [ hutianhao27 ]
  * 44609c5 Revert "nova shared storage: rbd is always shared storage"

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache
  * 6bed39c Add config option for neutron client retries
  * a86ebc7 Reset the cell cache for database access in Service

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ Balazs Gibizer ]
  * 5e452f8 Reproduce bug 1862633

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ Vladyslav Drok ]
  * 5d44052 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 23 May 2020 01:00:26 +0000

nova (2:18.3.0-4~u16.04+mcp170) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * faa0822 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 9efaa8c Merge "Add config option for neutron client retries" into
    stable/rocky

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache
  * 6bed39c Add config option for neutron client retries

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 12 May 2020 01:00:08 +0000

nova (2:18.3.0-4~u16.04+mcp167) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * 854d4dc Merge "Do not perform port update in case of baremetal
    instance." into mcp/xenial/rocky
  * 960f7f3 Merge "Correct instance port binding for rebuilds" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Hamdy Khader ]
  * 99fad88 Do not perform port update in case of baremetal instance.

  [ Jack Ding ]
  * 4c4dc55 Correct instance port binding for rebuilds

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
  * df9860c Merge changes from topic 'custom_patches/rocky' into
    mcp/xenial/rocky

  [ Andrey Volkov ]
  * 98a2e95 Add ssl_ciphers and ssl_options to NovaWebSocketProxy

  [ Vladyslav Drok ]
  * f022f8a Wrap shred use with ionice
  * f1e9447 Fix disappearing of trace during migration reschedule
  * b56d4db Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 6ec78a1 Merge "Validate aggregate IDs before querying database" into
    mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 52ec8f4 Validate aggregate IDs before querying database

  [ MCP Jenkins ]
  * 16f6de6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0a688f7 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4c90edf Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7bea15 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 58dee5d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a01e1ea Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6aa1253 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 41a9d34 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8bf523a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * fe96df4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 711164b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 951536f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9be24ac Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 07e780a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f51ce92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f7da2a1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a544be0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a1eeb59 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a8f1d91 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f2afe45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a050401 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d1f4f40 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 070e4c2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d716710 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 8646285 Merge "PCI: Update MAC address for NICs PF passthrough
    devices" into mcp/xenial/rocky
  * ed73b06 Merge "Rollback neutron port changes on evacuation fail"
    into mcp/xenial/rocky
  * 21008da Merge "Fix resource tracker updates during instance
    evacuation" into mcp/xenial/rocky
  * 5ccdfcb Merge "libvirt: Do not reraise DiskNotFound exceptions
    during resize" into mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 5c9fc9c PCI: Update MAC address for NICs PF passthrough devices

  [ Matt Riedemann ]
  * def3371 Fix logging parameter in _populate_pci_mac_address

  [ MCP Jenkins ]
  * 287c956 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * a2ea7db Rollback neutron port changes on evacuation fail

  [ MCP Jenkins ]
  * bd5ba5e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 84e8652 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c603a3b Fix resource tracker updates during instance evacuation
  * f45c2bc libvirt: Do not reraise DiskNotFound exceptions during
    resize

  [ MCP Jenkins ]
  * 04e7ffa Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2ec57ff Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 67ca115 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4932533 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2a0591e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e433ce3 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27e6fc8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff35e28 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3ff1340 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 15cd393 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ae69c4f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 077e443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d0f5f27 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 32b83be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ad8225e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a7b775b Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c9d3dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a64eb8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 780adca Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d88443 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 29a79d9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9d6430 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 00f9db1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 6bc6077 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8d9cef1 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bf2cc48 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 56aa0cd Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a6b9cd6 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 354fa2e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * d42b36a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * feccb05 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 245c783 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 88168cb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 47a65b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 27a572c Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2d7f41f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e9ada23 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9ba631f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ paul-carlton2 ]
  * 1a90196 Clean up instance on target node if evacuate fails

  [ Andrey Volkov ]
  * 42870db Make configurable password hashing algorithm
  * 80968d5 Add defusedxml for Libvirt and VMware
  * 28204f7 Replace assert to raise AssertionError

  [ rsritesh ]
  * 556d872 rbd: flatten images when creating/unshelving an instance

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 08 May 2020 08:54:42 +0000

nova (2:18.3.0-4~u16.04+mcp163) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 687eaee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Francois Palin ]
  * 10bd369 Add retry to cinder API calls related to volume detach

  [ MCP Jenkins ]
  * d0d4a45 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ melanie witt ]
  * 019e3da Lowercase ironic driver hash ring and ignore case in cache

  [ MCP Jenkins ]
  * e5e7329 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 903aee2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * 8552169 Unplug VIFs as part of cleanup of networks

  [ Matthew Booth ]
  * 5a17dd1 Functional test for UnexpectedDeletingTaskStateError

  [ Vladyslav Drok ]
  * c0e1db0 Merge "Recalculate 'RequestSpec.numa_topology' on resize"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * 39257b9 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 0d0117d Merge "nova-live-migration: Wait for n-cpu services to come
    up after configuring Ceph" into stable/rocky
  * 85fb423 Merge "Replace ansible --sudo with --become in
    live_migration/hooks scripts" into stable/rocky

  [ Lee Yarwood ]
  * 63ed32e nova-live-migration: Wait for n-cpu services to come up
    after configuring Ceph

  [ Matt Riedemann ]
  * 1893154 Replace ansible --sudo with --become in live_migration/hooks
    scripts

  [ MCP Jenkins ]
  * dafb70d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 569b812 Merge "Fix os-keypairs pagination links" into stable/rocky

  [ Stephen Finucane ]
  * 658e613 Recalculate 'RequestSpec.numa_topology' on resize

  [ MCP Jenkins ]
  * 7ec11e8 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Zuul ]
  * 1803207 Merge "Fix hypervisors paginted collection_name." into
    stable/rocky
  * cea1f2f Merge "Avoid circular reference during serialization" into
    stable/rocky

  [ MCP Jenkins ]
  * 024ff92 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Balazs Gibizer ]
  * 53a893f Enhance service restart in functional env
  * 930bf0a Remove global state from the FakeDriver

  [ MCP Jenkins ]
  * e044656 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Stephen Finucane ]
  * d8bd239 Fix os-keypairs pagination links

  [ Zuul ]
  * 88409b5 Merge "libvirt: Ignore DiskNotFound during
    update_available_resource" into stable/rocky

  [ MCP Jenkins ]
  * 57b2eb4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Fan Zhang ]
  * e50aecd Fix hypervisors paginted collection_name.

  [ Matt Riedemann ]
  * 1f83d77 Add retry_on_deadlock to migration_update DB API

  [ Matthew Booth ]
  * 1962633 libvirt: Ignore DiskNotFound during
    update_available_resource

  [ Balazs Gibizer ]
  * 3871b38 Avoid circular reference during serialization

  [ MCP Jenkins ]
  * bf3ad58 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6688ab6 Merge "Make RBD imagebackend flatten method idempotent" into
    mcp/xenial/rocky

  [ MCP Jenkins ]
  * cd2e0dc Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 9f43eb5 Make RBD imagebackend flatten method idempotent

  [ MCP Jenkins ]
  * d649e57 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 107c9fd Merge "Allow configuring retries when removing RBD volume"
    into mcp/xenial/rocky

  [ MCP Jenkins ]
  * e8a574e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 016fa99 Make removal of host from aggregate consistent

  [ MCP Jenkins ]
  * 726e75a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * c667551 Allow configuring retries when removing RBD volume

  [ MCP Jenkins ]
  * 98733ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * acb4875 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c7252ce Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 631c8ec Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * faf864f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9339544 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * cb5b1bb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4e38f69 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0f2c310 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 0159346 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 214de20 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * aa68aee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 93013da Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 2567bf0 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 9dd0c98 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * bacf494 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * b228feb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * e034f3e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 487a65e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 3c361a4 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4a766fe Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 48db3be Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 8cd40ee Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 927d961 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 76e3c8d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * f89082f Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 4d135a2 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * 21bd3971 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * be9e795 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * c2d9a00 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * a32783e Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * eee0bdb Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky
  * ff06692 Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Vladyslav Drok ]
  * 6314d9d Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ MCP Jenkins ]
  * 545d09a Merge the tip of origin/stable/rocky into
    origin/mcp/xenial/rocky

  [ Pavlo Shchelokovskyy ]
  * 5a46212 Merge "Add ssl_ciphers and ssl_options to
    NovaWebSocketProxy" into mcp/xenial/rocky
